import request from '/@/utils/request';

export function emergencyMaterialsInspectionApi() {
    return {
        //应急物资检查一览
        getEmergencyMaterialsInspectionList: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/emergencySuppliesInspect/page/list',
                method: 'post',
                data: params
            });
        },
        // 应急物资检查新增
        addEmergencyMaterialsInspection: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencySuppliesInspect/add`,
                method: 'post',
                data: params
            });
        },
        // 应急物资检查详情
        seeEmergencyMaterialsInspection: (params: number) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencySuppliesInspect/info/${params}`,
                method: 'get'
            });
        },
        // 应急物资检查编辑
        editEmergencyMaterialsInspection: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencySuppliesInspect/update`,
                method: 'post',
                data: params
            });
        },
        // 应急物资检查删除
        deleteEmergencyMaterialsInspection: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencySuppliesInspect/batchDelete`,
                method: 'post',
                data: params
            });
        }
    };
}
